{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des sous-traitants de mon entité" %}

{% block pageActions %}
    <br>

    <div class="row col-md-12">
        {{ macro.dissocierMultipleButtonModal(
            'btn_dissociation',
            'Dissocier un ou plusieurs sous-traitant de l\'entité',
            'app_soustraitant_dissociation_multiple',
            'Voulez-vous vraiment dissocier les différents sous-traitant de l\'entité ?',
            soustraitants.currentPageNumber
        ) }}
    </div>
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Sous-traitant</th>
                <th scope="col">Représentant légale</th>
                <th scope="col">Information sur le DPO</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for soustraitant in soustraitants %}
                <tr>
                    <th>
                        {% if (app.user.currentOrganisation not in soustraitant.organisations)  %}
                            {% set dissociation = 'false' %}
                        {% else %}
                            {% set dissociation = 'true' %}
                        {% endif %}

                        <input id='checkbox-{{ soustraitant.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ soustraitant.id }}"
                               data-dissociation="{{ dissociation }}">
                    </th>

                    <th>
                        {{ soustraitant.raisonsociale }}

                        {% if (soustraitant.siret is not empty) or (soustraitant.email is not empty) or (soustraitant.phone is not empty) %}
                            <ul>
                                {% if (soustraitant.siret is not empty) %}
                                    <li>Siret : {{ soustraitant.siret }}</li>
                                {% endif %}

                                {% if (soustraitant.email is not empty) %}
                                    <li>E-mail : {{ soustraitant.email }}</li>
                                {% endif %}

                                {% if (soustraitant.phone is not empty) %}
                                    <li>Téléphone : {{ soustraitant.phone }}</li>
                                {% endif %}
                            </ul>
                        {% endif %}
                    </th>

                    <th>
                        {% if (soustraitant.representant is not empty) %}
                            {{ soustraitant.representant.getNomcomplet }}

                            {% if (soustraitant.representant.function is not empty) or (soustraitant.representant.email is not empty) or (soustraitant.representant.phone is not empty) %}
                                <ul>
                                    {% if (soustraitant.representant.function is not empty) %}
                                        <li>Fonction : {{ soustraitant.representant.function }}</li>
                                    {% endif %}

                                    {% if (soustraitant.representant.email is not empty) %}
                                        <li>E-mail : {{ soustraitant.representant.email }}</li>
                                    {% endif %}

                                    {% if (soustraitant.representant.phone is not empty) %}
                                        <li>Téléphone fixe : {{ soustraitant.representant.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {% if (soustraitant.delegue is not empty) %}
                            {{ soustraitant.delegue.getNomcomplet }}

                            {% if (soustraitant.delegue.email is not empty) or (soustraitant.delegue.numberCnil is not empty) or (soustraitant.delegue.cellphone is not empty) or (soustraitant.delegue.phone is not empty) %}
                                <ul>
                                    {% if (soustraitant.delegue.email is not empty) %}
                                        <li>E-mail : {{ soustraitant.delegue.email }}</li>
                                    {% endif %}

                                    {% if (soustraitant.delegue.numberCnil is not empty) %}
                                        <li>Numéro CNIL : {{ soustraitant.delegue.numberCnil }}</li>
                                    {% endif %}

                                    {% if (soustraitant.delegue.cellphone is not empty) %}
                                        <li>Téléphone portable : {{ soustraitant.delegue.cellphone }}</li>
                                    {% endif %}

                                    {% if (soustraitant.delegue.phone is not empty) %}
                                        <li>Téléphone fixe : {{ soustraitant.delegue.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {{ macro.dissocierButtonModal(
                            soustraitant.id,
                            'Dissociation du sous-traitant de l\'entité',
                            'app_soustraitant_dissociation',
                            'Voulez-vous vraiment dissocier ce sous-traitant ?',
                            soustraitants.currentPageNumber
                        ) }}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(soustraitants) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
